Post by wenmar » Sun Jan 28, 2018 8:03 am

If i try to install a extention from the marketplace, it trows me a popup screen with an error.
SyntaxError: Unexpected token < in JSON at position 0

OK
Warning: curl_setopt(): CURLOPT_FOLLOWLOCATION cannot be activated when an open_basedir is set in .... marketpplace.php on line 859 {"extension_install_id";2,"text":"installing","next":"....index.php?route=marketplace\/install\/install&user_token=ZKJJjsjhjkhdkHKJHJKHKJHJKH&extension_install_id=2"}

I Use OpenCart 3.0.2.0

Newbie

Posts

Joined
Sun Jan 28, 2018 5:11 am

Post by synapseindia » Mon Apr 09, 2018 9:20 pm

Set safe_mode = Off in your php.ini file (it's usually in /etc/ on the server). If that's already off, then look around for the open_basedir stuff in the php.ini file, and change it accordingly.

Basically, the follow location option has been disabled as a security measure, but PHP's built-in security features are usually more annoying than secure. In fact, safe_mode is deprecated in PHP 5.3.

Newbie

Posts

Joined
Thu Apr 05, 2018 2:27 pm
Who is online

Users browsing this forum: No registered users and 7 guests